## ros-kinetic-ridgeback-gazebo 0.0.4

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(ridgeback_gazebo)

find_package(catkin REQUIRED COMPONENTS roslaunch)

catkin_package()

roslaunch_add_file_check(launch/ridgeback_world.launch)

install(DIRECTORY launch Media worlds
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
)

=== debian/changelog ===
ros-kinetic-ridgeback-gazebo (0.0.4-1xenial) xenial; urgency=high

  * Enable the joystick by default, add an option to disable it
  * Split spawning platform into dedicated launch
  * Contributors: Chris Iverach-Brereton, Dave Niewinski

 -- Mike Purvis <mpurvis@clearpathrobotics.com>  Mon, 24 Aug 2020 04:00:00 -0000

ros-kinetic-ridgeback-gazebo (0.0.3-1xenial) xenial; urgency=high



 -- Mike Purvis <mpurvis@clearpathrobotics.com>  Thu, 26 Apr 2018 04:00:00 -0000

ros-kinetic-ridgeback-gazebo (0.0.2-1xenial) xenial; urgency=high

  * Changed Ridgeback config to environment variable and minor clean-up of ForceBasedPlugin.
  * Updated default world to a wider and less constrained version.
  * Contributors: Tony Baltovski

 -- Mike Purvis <mpurvis@clearpathrobotics.com>  Mon, 08 May 2017 04:00:00 -0000

ros-kinetic-ridgeback-gazebo (0.0.1-1xenial) xenial; urgency=high

  * Initial release.
  * Contributors: Mike Purvis, Tony Baltovski

 -- Mike Purvis <mpurvis@clearpathrobotics.com>  Wed, 25 May 2016 04:00:00 -0000

=== debian/control ===
Source: ros-kinetic-ridgeback-gazebo
Section: misc
Priority: optional
Maintainer: Mike Purvis <mpurvis@clearpathrobotics.com>
Build-Depends: debhelper (>= 9.0.0), ros-kinetic-catkin, ros-kinetic-roslaunch
Homepage: http://wiki.ros.org/ridgeback_gazebo
Standards-Version: 3.9.2

Package: ros-kinetic-ridgeback-gazebo
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-kinetic-gazebo-plugins, ros-kinetic-gazebo-ros, ros-kinetic-gazebo-ros-control, ros-kinetic-hector-gazebo-plugins, ros-kinetic-ridgeback-control, ros-kinetic-ridgeback-description (>= 0.1.6), ros-kinetic-ridgeback-gazebo-plugins
Description: Launchfiles to use Ridgeback in Gazebo.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/kinetic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/kinetic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/kinetic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-kinetic-ridgeback-gazebo//opt/ros/kinetic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_install
